package com.sy.coinage.workshop.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sy.coinage.workshop.model.*;
import com.sy.coinage.workshop.req.*;
import com.sy.coinage.workshop.req.vo.BaseInfoVO;
import com.sy.coinage.workshop.vo.*;

import java.util.List;

/**
 * -IService
 */
public interface IWorkshopOutboundDetailService extends IService<WorkshopOutboundDetail> {
    WorkshopOutboundDetail getBySerialNumber(String serialNumber, Integer outId);

    List<BaseInfoVO> listVO(Integer id);

    long myCount(String serialNumber);

    List<WorkshopOutboundDetail> querylist(QueryWrapper<WorkshopOutboundDetail> queryWrapper);
}

